Debian Bug report logs - #653228
boost-defaults: libboost-*-dev 1.48.0.2 depend on libboost-*1.46-dev

version graph

Package: src:boost-defaults; Maintainer for src:boost-defaults is Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>;

Reported by: Thomas Krennwallner <tkren@kr.tuwien.ac.at>

Date: Sun, 25 Dec 2011 17:03:01 UTC

Severity: important

Fixed in version boost-defaults/1.48.0.3

Done: smr@debian.org (Steve M. Robbins)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#653228; Package src:boost-defaults. (Sun, 25 Dec 2011 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Krennwallner <tkren@kr.tuwien.ac.at>:
New Bug report received and forwarded. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. (Sun, 25 Dec 2011 17:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: boost-defaults: libboost-*-dev 1.48.0.2 depend on libboost-*1.46-dev
Date: Sun, 25 Dec 2011 17:59:56 +0100
Source: boost-defaults
Severity: important

Hi!

When I try to install, e.g., libboost-filesystem-dev 1.48.0.2, the
dependencies forces to install libboost-filesystem1.46-dev. See also the
control file of boost-defaults:

 Package: libboost-filesystem-dev
 [...]
 Section: libdevel
 Depends: ${misc:Depends}, libboost-filesystem1.46-dev
 [...]
  This package is a dependency package, which depends on Debian's default
  Boost version (currently 1.46).

Best,
TK

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#653228; Package src:boost-defaults. (Sun, 25 Dec 2011 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. (Sun, 25 Dec 2011 22:03:04 GMT) Full text and rfc822 format available.

Message #10 received at 653228@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Thomas Krennwallner <tkren@kr.tuwien.ac.at>, 653228@bugs.debian.org
Subject: Re: [pkg-boost-devel] Bug#653228: boost-defaults: libboost-*-dev 1.48.0.2 depend on libboost-*1.46-dev
Date: Sun, 25 Dec 2011 15:58:23 -0600
[Message part 1 (text/plain, inline)]
Hello Thomas,

On Sun, Dec 25, 2011 at 05:59:56PM +0100, Thomas Krennwallner wrote:
> Source: boost-defaults
> Severity: important
> 
> Hi!
> 
> When I try to install, e.g., libboost-filesystem-dev 1.48.0.2, the
> dependencies forces to install libboost-filesystem1.46-dev. See also the
> control file of boost-defaults:

I don't believe there is a bug here.  What happened is that

1. I released boost defaults version 1.48.0.1 that changed the default to Boost 1.48.0.
2. It turns out this is too soon as there are packages that fail to build with Boost 1.48.
3. I released boost defaults version 1.48.0.2 that reverted the default back to 1.46.1.

I see now that versioning the boost-defaults according to the boost version is a mistake,
but for the moment, that's what we're stuck with.  So it is weird and surprising that
the current default is 1.46.1, but that's what it is.

If you still feel there is a bug, please reply with more details.
Otherwise, please email 653228-done@bugs.debian.org to close this bug.

Thanks,
-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#653228; Package src:boost-defaults. (Mon, 26 Dec 2011 05:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Krennwallner <tkren@kr.tuwien.ac.at>:
Extra info received and forwarded to list. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. (Mon, 26 Dec 2011 05:03:05 GMT) Full text and rfc822 format available.

Message #15 received at 653228@bugs.debian.org (full text, mbox):

From: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 653228@bugs.debian.org
Subject: Re: [pkg-boost-devel] Bug#653228: boost-defaults: libboost-*-dev 1.48.0.2 depend on libboost-*1.46-dev
Date: Mon, 26 Dec 2011 05:57:58 +0100
Hi Steve,

On Sun Dec 25, 2011 03:58:23PM -0600, Steve M. Robbins wrote:
> Hello Thomas,
> 
> On Sun, Dec 25, 2011 at 05:59:56PM +0100, Thomas Krennwallner wrote:
> > Source: boost-defaults
> > Severity: important
> > 
> > Hi!
> > 
> > When I try to install, e.g., libboost-filesystem-dev 1.48.0.2, the
> > dependencies forces to install libboost-filesystem1.46-dev. See also the
> > control file of boost-defaults:
> 
> I don't believe there is a bug here.  What happened is that
> 
> 1. I released boost defaults version 1.48.0.1 that changed the default to Boost 1.48.0.
> 2. It turns out this is too soon as there are packages that fail to build with Boost 1.48.
> 3. I released boost defaults version 1.48.0.2 that reverted the default back to 1.46.1.
> 
> I see now that versioning the boost-defaults according to the boost version is a mistake,
> but for the moment, that's what we're stuck with.  So it is weird and surprising that
> the current default is 1.46.1, but that's what it is.
> 
> If you still feel there is a bug, please reply with more details.
> Otherwise, please email 653228-done@bugs.debian.org to close this bug.

I see now, but then we have a problem. The semantics of libboost-*-dev
have always been, at least this was my understanding, to depend on the
latest stable version of boost. If one needs a particular (older)
version of boost, then we have the versioned packages
libboost-*N.MM-dev.

If a particular package FTBFS with the newest version of boost, then
it's a bug of that package. Which can be easily fixed by using
Build-Depends: libboost-*N.MM-dev and a re-upload.  Then, there is
enough time to fix the package by investigating what's wrong in the
first place with the latest stable version. In a sense, it's a good
thing that boost-defaults depends on the newest version, otw. people
don't realize that boost breaks their package and won't fix their
package early in time.

This was actually what I did when I run into the problem: I fixed my
package and then setup Build-Depends with libboost-*1.48-dev instead of
libboost-*-dev.

The question is now, how shall we proceed?

 1. If you think that libboost-*-dev should depend on /the currently
    most stable version of boost (wrt. the debian package archive)/,
    then there is nothing to do and we can close this bug.

 2. But if you feel that libboost-*-dev should depend on /the latest
    stable version of boost/, then I have the impression that we should
    force people to fix their package to depend on libboost-*N.MM-dev,
    as this is what they then depend on in reality.  Because changing
    boost-defaults later in time (weeks, months?) to depend on the
    new boost release will break those packages eventually.

I would opt for (2), as packages will only FTBFS with this change, it
won't break compiled packages, as they depend on the linked versioned
shared libraries. But that's just my 2 cents.

Best,
TK

-- 
Thomas Krennwallner
University assistant
.
TU Wien - Vienna University of Technology
Institute of Information Systems
Favoritenstrasse 9-11, 1040 Wien, Austria
.
T: +43 1 58801 18469   F: +43 1 58801 918469
tkren AT kr DOT tuwien DOT ac DOT at
http://www.kr.tuwien.ac.at/staff/tkren/
.
DVR: 0005886




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#653228; Package src:boost-defaults. (Mon, 26 Dec 2011 06:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. (Mon, 26 Dec 2011 06:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 653228@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: 653228@bugs.debian.org
Subject: Re: [pkg-boost-devel] Bug#653228: boost-defaults: libboost-*-dev 1.48.0.2 depend on libboost-*1.46-dev
Date: Mon, 26 Dec 2011 00:33:27 -0600
[Message part 1 (text/plain, inline)]
On Mon, Dec 26, 2011 at 05:57:58AM +0100, Thomas Krennwallner wrote:

> I see now, but then we have a problem. The semantics of libboost-*-dev
> have always been, at least this was my understanding, to depend on the
> latest stable version of boost.

Yes, that's the basic purpose of the defaults.  In the previous email,
I should have made it clear that reverting to the older boost is a
temporary measure.  Once the build failures are taken care of -- or
are at least at a manageable level -- the default will be moved
forward again.


> The question is now, how shall we proceed?
> 
>  1. If you think that libboost-*-dev should depend on /the currently
>     most stable version of boost (wrt. the debian package archive)/,
>     then there is nothing to do and we can close this bug.
> 
>  2. But if you feel that libboost-*-dev should depend on /the latest
>     stable version of boost/, then I have the impression that we should
>     force people to fix their package to depend on libboost-*N.MM-dev,
>     as this is what they then depend on in reality.  Because changing
>     boost-defaults later in time (weeks, months?) to depend on the
>     new boost release will break those packages eventually.
> 
> I would opt for (2), as packages will only FTBFS with this change, it
> won't break compiled packages, as they depend on the linked versioned
> shared libraries. But that's just my 2 cents.

I think option 2 is the right viewpoint.  It's mainly a question of
timing and coordination.  The Release Team objects when a "package
transition" such as this makes a bunch of unrelated packages fail to
build.  At their request [1], I temporarily backed up the default.

The next steps are to test build the prominant reverse-deps, file
appropriate bugs, and coordinate the boost defaults change.  I could
sure use some help with this task!!

[1] http://lists.debian.org/debian-release/2011/12/msg00263.html

Thanks for your interest in Boost,
-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#653228; Package src:boost-defaults. (Sun, 01 Jan 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@frost.de>:
Extra info received and forwarded to list. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. (Sun, 01 Jan 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 653228@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@frost.de>
To: 653228@bugs.debian.org
Date: Sun, 01 Jan 2012 15:42:40 +0100
Hallo,

Isn't it the usualy procedure to file a RC bug to prevent transistion to
testing?

The problem I see is that I cannot reliablly set a build-depend or
library dependency for upstream versions >1.48

coldtobi.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#653228; Package src:boost-defaults. (Wed, 04 Jan 2012 04:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. (Wed, 04 Jan 2012 04:33:03 GMT) Full text and rfc822 format available.

Message #30 received at 653228@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Tobias Frost <tobi@frost.de>, 653228@bugs.debian.org
Subject: Re: [pkg-boost-devel] Bug#653228:
Date: Tue, 3 Jan 2012 22:28:51 -0600
[Message part 1 (text/plain, inline)]
On Sun, Jan 01, 2012 at 03:42:40PM +0100, Tobias Frost wrote:
> Hallo,
> 
> Isn't it the usualy procedure to file a RC bug to prevent transistion to
> testing?

Yes, that's correct.  In the case of the recent boost-defaults
issue, it was a problem in unstable itself.  So I had to revert it.


> The problem I see is that I cannot reliablly set a build-depend or
> library dependency for upstream versions >1.48

True.  You can either:

(a) depend on libboost1.48-dev, then update when 1.49 comes out; or
(b) depend on libboost-dev, implicitly promising compatibility with
    all versions of boost, past and present

-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#653228; Package src:boost-defaults. (Wed, 04 Jan 2012 04:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. (Wed, 04 Jan 2012 04:33:05 GMT) Full text and rfc822 format available.

Message #35 received at 653228@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: 653228@bugs.debian.org
Subject: Transition status
Date: Tue, 3 Jan 2012 22:30:30 -0600
[Message part 1 (text/plain, inline)]
Hi,

Please see Bug#653823


-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#653228; Package src:boost-defaults. (Fri, 06 Jan 2012 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@frost.de>:
Extra info received and forwarded to list. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. (Fri, 06 Jan 2012 09:45:07 GMT) Full text and rfc822 format available.

Message #40 received at 653228@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@frost.de>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 653228@bugs.debian.org
Subject: Re: [pkg-boost-devel] Bug#653228:
Date: Fri, 06 Jan 2012 10:43:14 +0100
Am Dienstag, den 03.01.2012, 22:28 -0600 schrieb Steve M. Robbins:

> True.  You can either:
> 
> (a) depend on libboost1.48-dev, then update when 1.49 comes out; or
> (b) depend on libboost-dev, implicitly promising compatibility with
>     all versions of boost, past and present
> 

a) is ugly especially if you depend on mentors to accept your upload and currently do not have one interested in your pacakage ;-(
So I need a perfect package(TM) to get a change for my first upload. You can't help here, can you? 

b) won't work, as I have this ugly problem with the threads libary, so I require >=1.48. 

However, it seems that there is some movement in this issue, I think the issue will solve itself...
If I can lend you a hend to help somehow on resolving the missing FTBS, let me know. I might have some spare time this weekend and on the evenings next week. 
	
Best regards,
coldtobi

> -Steve






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#653228; Package src:boost-defaults. (Sat, 07 Jan 2012 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. (Sat, 07 Jan 2012 18:45:04 GMT) Full text and rfc822 format available.

Message #45 received at 653228@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Tobias Frost <tobi@frost.de>
Cc: 653228@bugs.debian.org
Subject: Re: [pkg-boost-devel] Bug#653228:
Date: Sat, 7 Jan 2012 12:41:37 -0600
[Message part 1 (text/plain, inline)]
On Fri, Jan 06, 2012 at 10:43:14AM +0100, Tobias Frost wrote:
> Am Dienstag, den 03.01.2012, 22:28 -0600 schrieb Steve M. Robbins:
> 
> > True.  You can either:
> > 
> > (a) depend on libboost1.48-dev, then update when 1.49 comes out; or
> > (b) depend on libboost-dev, implicitly promising compatibility with
> >     all versions of boost, past and present
> > 
> 
> a) is ugly especially if you depend on mentors to accept your upload
> and currently do not have one interested in your pacakage ;-(
  [...]
> b) won't work, as I have this ugly problem with the threads libary, so I require >=1.48. 

I agree that it is ugly and I do understand your plight.  It's the
best I can offer at this moment.


> However, it seems that there is some movement in this issue, I think
> the issue will solve itself...  If I can lend you a hend to help
> somehow on resolving the missing FTBS, let me know. I might have
> some spare time this weekend and on the evenings next week.

Absolutely, this would be the best help in resolving the issue.  Issue
#653823 is the one tracking the transition status of boost-defaults.
It contains a list of the build failures, divided into categories.

"Known Fixes": it would be a great help to post a patch fixing the bug.

"Fix unknown": these need some deeper digging to find out what is the
root cause.

The third category is not related to boost.  These are also interesting,
but likely not going to hold up the boost-defaults transition.

Thanks!
-Steve

[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 653228: 653823 Request was from "Steve M. Robbins" <steve@sumost.ca> to control@bugs.debian.org. (Sat, 07 Jan 2012 18:45:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 01 Feb 2012 07:09:11 GMT) Full text and rfc822 format available.

Reply sent to smr@debian.org (Steve M. Robbins):
You have taken responsibility. (Thu, 02 Feb 2012 16:36:28 GMT) Full text and rfc822 format available.

Notification sent to Thomas Krennwallner <tkren@kr.tuwien.ac.at>:
Bug acknowledged by developer. (Thu, 02 Feb 2012 16:36:28 GMT) Full text and rfc822 format available.

Message #54 received at 653228-close@bugs.debian.org (full text, mbox):

From: smr@debian.org (Steve M. Robbins)
To: 653228-close@bugs.debian.org
Subject: Bug#653228: fixed in boost-defaults 1.48.0.3
Date: Thu, 02 Feb 2012 16:32:27 +0000
Source: boost-defaults
Source-Version: 1.48.0.3

We believe that the bug you reported is fixed in the latest version of
boost-defaults, which is due to be installed in the Debian FTP archive:

boost-defaults_1.48.0.3.dsc
  to main/b/boost-defaults/boost-defaults_1.48.0.3.dsc
boost-defaults_1.48.0.3.tar.gz
  to main/b/boost-defaults/boost-defaults_1.48.0.3.tar.gz
libboost-all-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-all-dev_1.48.0.3_amd64.deb
libboost-chrono-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-chrono-dev_1.48.0.3_amd64.deb
libboost-date-time-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-date-time-dev_1.48.0.3_amd64.deb
libboost-dbg_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-dbg_1.48.0.3_amd64.deb
libboost-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-dev_1.48.0.3_amd64.deb
libboost-doc_1.48.0.3_all.deb
  to main/b/boost-defaults/libboost-doc_1.48.0.3_all.deb
libboost-filesystem-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-filesystem-dev_1.48.0.3_amd64.deb
libboost-graph-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-graph-dev_1.48.0.3_amd64.deb
libboost-graph-parallel-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-graph-parallel-dev_1.48.0.3_amd64.deb
libboost-iostreams-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-iostreams-dev_1.48.0.3_amd64.deb
libboost-locale-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-locale-dev_1.48.0.3_amd64.deb
libboost-math-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-math-dev_1.48.0.3_amd64.deb
libboost-mpi-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-mpi-dev_1.48.0.3_amd64.deb
libboost-mpi-python-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-mpi-python-dev_1.48.0.3_amd64.deb
libboost-program-options-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-program-options-dev_1.48.0.3_amd64.deb
libboost-python-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-python-dev_1.48.0.3_amd64.deb
libboost-random-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-random-dev_1.48.0.3_amd64.deb
libboost-regex-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-regex-dev_1.48.0.3_amd64.deb
libboost-serialization-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-serialization-dev_1.48.0.3_amd64.deb
libboost-signals-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-signals-dev_1.48.0.3_amd64.deb
libboost-system-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-system-dev_1.48.0.3_amd64.deb
libboost-test-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-test-dev_1.48.0.3_amd64.deb
libboost-thread-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-thread-dev_1.48.0.3_amd64.deb
libboost-timer-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-timer-dev_1.48.0.3_amd64.deb
libboost-wave-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-wave-dev_1.48.0.3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653228@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve M. Robbins <smr@debian.org> (supplier of updated boost-defaults package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 01 Feb 2012 00:25:50 -0600
Source: boost-defaults
Binary: libboost-dbg libboost-dev libboost-all-dev libboost-doc libboost-chrono-dev libboost-date-time-dev libboost-filesystem-dev libboost-graph-dev libboost-graph-parallel-dev libboost-iostreams-dev libboost-locale-dev libboost-math-dev libboost-mpi-dev libboost-mpi-python-dev libboost-program-options-dev libboost-python-dev libboost-random-dev libboost-regex-dev libboost-serialization-dev libboost-signals-dev libboost-system-dev libboost-test-dev libboost-thread-dev libboost-timer-dev libboost-wave-dev
Architecture: source amd64 all
Version: 1.48.0.3
Distribution: unstable
Urgency: low
Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Changed-By: Steve M. Robbins <smr@debian.org>
Description: 
 libboost-all-dev - Boost C++ Libraries development files (ALL) (default version)
 libboost-chrono-dev - C++ representation of time duration, time point, and clocks (defa
 libboost-date-time-dev - set of date-time libraries based on generic programming concepts
 libboost-dbg - Boost C++ Libraries with debug symbols (default version)
 libboost-dev - Boost C++ Libraries development files (default version)
 libboost-doc - Boost.org libraries documentation (default version)
 libboost-filesystem-dev - filesystem operations (portable paths, iteration over directories
 libboost-graph-dev - generic graph components and algorithms in C++ (default version)
 libboost-graph-parallel-dev - generic graph components and algorithms in C++ (default version)
 libboost-iostreams-dev - Boost.Iostreams Library development files (default version)
 libboost-locale-dev - C++ facilities for localization (default version)
 libboost-math-dev - Boost.Math Library development files (default version)
 libboost-mpi-dev - C++ interface to the Message Passing Interface (MPI) (default ver
 libboost-mpi-python-dev - C++ interface to the Message Passing Interface (MPI), Python Bind
 libboost-program-options-dev - program options library for C++ (default version)
 libboost-python-dev - Boost.Python Library development files (default version)
 libboost-random-dev - Boost Random Number Library (default version)
 libboost-regex-dev - regular expression library for C++ (default version)
 libboost-serialization-dev - serialization library for C++ (default version)
 libboost-signals-dev - managed signals and slots library for C++ (default version)
 libboost-system-dev - Operating system (e.g. diagnostics support) library (default vers
 libboost-test-dev - components for writing and executing test suites (default version
 libboost-thread-dev - portable C++ multi-threading (default version)
 libboost-timer-dev - C++ wall clock and CPU process timers (default version)
 libboost-wave-dev - C99/C++ preprocessor library (default version)
Closes: 653228 653823
Changes: 
 boost-defaults (1.48.0.3) unstable; urgency=low
 .
   * Set default Boost to 1.48.0.  Closes: #653823, #653228.
Checksums-Sha1: 
 890d5a8b23c2ee72f0892f0d8e202318ac627246 2635 boost-defaults_1.48.0.3.dsc
 2572e93653b857d68ec39a9aa2b319ffbbdaf3a6 7283 boost-defaults_1.48.0.3.tar.gz
 8646084e3c1ae22ebcc6dd327a69d63aab27d577 2658 libboost-dbg_1.48.0.3_amd64.deb
 dcd841cac7300c7fb7aa0cd3ce390c0bb8a2121a 2998 libboost-dev_1.48.0.3_amd64.deb
 91ef43533c1c3bbfa5de714bffeba8f593dd7105 2980 libboost-all-dev_1.48.0.3_amd64.deb
 ddfe01cb2067270ba52a6f3c8cea23f7607394d9 2876 libboost-doc_1.48.0.3_all.deb
 d333f285343b2d918a1e78b92ab183fc8330266a 3316 libboost-chrono-dev_1.48.0.3_amd64.deb
 9d9ca7e38e9b29caec1682287952ff1c47ecb260 2694 libboost-date-time-dev_1.48.0.3_amd64.deb
 56564f383420d9a5bffd4196b666db9dd5b1766e 2718 libboost-filesystem-dev_1.48.0.3_amd64.deb
 a5021e7ecc95dce5021542f7c2f5e32d3b017f9a 2784 libboost-graph-dev_1.48.0.3_amd64.deb
 72f8a5282bf03db07cc1a0e2bf06812209305ea0 2832 libboost-graph-parallel-dev_1.48.0.3_amd64.deb
 a9120b1d9050a07c460386ccb75bdd86e0e88668 2678 libboost-iostreams-dev_1.48.0.3_amd64.deb
 2dc70da1612b596d2a3f4c4185218b454e8ec9c3 3020 libboost-locale-dev_1.48.0.3_amd64.deb
 f8f944ac713cb36c6371bdbfca3c40c5d95acb13 2888 libboost-math-dev_1.48.0.3_amd64.deb
 a4ed9ba8cafeb26e799398e236c9a9527638e3e8 2782 libboost-mpi-dev_1.48.0.3_amd64.deb
 12c164e24e881beb61613189dd0d3074f5b0f962 2818 libboost-mpi-python-dev_1.48.0.3_amd64.deb
 7c8b910b67f8638d6f65876ec773ac23fc7e9c8d 2700 libboost-program-options-dev_1.48.0.3_amd64.deb
 8cf1f80f5f6c8a1ead67dbd5811fe0a85227eea5 3080 libboost-python-dev_1.48.0.3_amd64.deb
 6f94a3f394b1b5070ca048d53e6b2f04e549336f 2692 libboost-random-dev_1.48.0.3_amd64.deb
 3fcc074490158c5b99f11a385a567423a7ab4cdd 2944 libboost-regex-dev_1.48.0.3_amd64.deb
 032938f2b13e8278d7ec7fa7fdfac24455aeea3f 2916 libboost-serialization-dev_1.48.0.3_amd64.deb
 d2997a2065428375cb5487cdcc7c157f04140f11 2750 libboost-signals-dev_1.48.0.3_amd64.deb
 4a23cdbe30e3da9e2cd7ee368b6c957a888935f6 2822 libboost-system-dev_1.48.0.3_amd64.deb
 ac34984930bc4139754d9bc1ccceaf94a6506087 2720 libboost-test-dev_1.48.0.3_amd64.deb
 1238b22cff34970cc36a9b1f92956678ffd50656 2708 libboost-thread-dev_1.48.0.3_amd64.deb
 f64148239a364fdfa9a52860987450a3c94c8355 2808 libboost-timer-dev_1.48.0.3_amd64.deb
 2774902619f84e24652219728f872f1ec9d6177c 2716 libboost-wave-dev_1.48.0.3_amd64.deb
Checksums-Sha256: 
 371bf31fd4c179b284724509d7d8f59eda14835f8275c64cd645401c44a63706 2635 boost-defaults_1.48.0.3.dsc
 37054842d9db215a3256acc45941ceb2d310284b1d8c35db0a2713db014db4cc 7283 boost-defaults_1.48.0.3.tar.gz
 991196877a703a8303d52aed83aa977edd7477a0cf4bf11bd24a9ecb584ebee0 2658 libboost-dbg_1.48.0.3_amd64.deb
 e176692a6233c6337e745b8ce0a94430c6fe7cfabc908185e3f0dbe2310a67b8 2998 libboost-dev_1.48.0.3_amd64.deb
 0c99ad3b9b261083c56f0193b7902722337d7085597251afcc8dc5c30f55b130 2980 libboost-all-dev_1.48.0.3_amd64.deb
 5a607d038a197ff9ed17bad74a655006c1220bf90b6d852936131481b056a835 2876 libboost-doc_1.48.0.3_all.deb
 4385d37aa9d2ebb704707f71a0dc142272ed36ad3c635619c72f3407149a9f4d 3316 libboost-chrono-dev_1.48.0.3_amd64.deb
 81525a103e6694a83980f24bb575cf540cc55ecf3c4b400051702db4368c0915 2694 libboost-date-time-dev_1.48.0.3_amd64.deb
 1bbe1884355315b7e033f36fc5fd800ad9cae04ad6ea154f2ed0aa1975165129 2718 libboost-filesystem-dev_1.48.0.3_amd64.deb
 c4128b8f9e782efdc7fddc9b2acf3ae1751d5b239e34e5653104dfb84920561f 2784 libboost-graph-dev_1.48.0.3_amd64.deb
 01066900cd25d674ea399b4ff4cbc61787d4ac4b35e3c4574aa8f7a4753f0c24 2832 libboost-graph-parallel-dev_1.48.0.3_amd64.deb
 f7901dedcdac91eb5677d99bf2410ddc9bccc31784227c3ea85c5a5c92fd9020 2678 libboost-iostreams-dev_1.48.0.3_amd64.deb
 47914e81be260bb96cf588f2d03682283fb8a87f219fe0b3e5b888466c2a6556 3020 libboost-locale-dev_1.48.0.3_amd64.deb
 e4ba602c87f8a5698f42defe9c6bea97ed1e08f74e813fdcd99f9d10d9d7fd9e 2888 libboost-math-dev_1.48.0.3_amd64.deb
 25b1846acbaee71305b9da8a1b98bde7028487ed7fbb2e182d19b895d0982ed9 2782 libboost-mpi-dev_1.48.0.3_amd64.deb
 9e023bf4166b48ec8b581eaa36f8344920d82b25fec82d0b7f0b53235a004497 2818 libboost-mpi-python-dev_1.48.0.3_amd64.deb
 cb2894383edc95a35432e146e4b392849c6f01233e128cc7f228cdcdb6b0eee9 2700 libboost-program-options-dev_1.48.0.3_amd64.deb
 bcb5b1537d8e970ab52fdc502e8d5491f5d407c6cb20ca108351273911abf11d 3080 libboost-python-dev_1.48.0.3_amd64.deb
 00139e541215b4aea4bda502ac7419948bdae1684dc74012073002cc6e49f46a 2692 libboost-random-dev_1.48.0.3_amd64.deb
 12cba88ba07d32f113153f0c37f865fc3ec7e207ea6190714a9b8b9b9ee4cb73 2944 libboost-regex-dev_1.48.0.3_amd64.deb
 eca6bc0a2545dda9c9262e8e94bdd3e82a29859b8eca311fdab8b3b462f7d6c8 2916 libboost-serialization-dev_1.48.0.3_amd64.deb
 5fd0f31440822890947cead64e00079137591c49b68d23ffe1d933534f43dde0 2750 libboost-signals-dev_1.48.0.3_amd64.deb
 f0bd783b1dbf20c80dfed58013a8805758a6f85ef7590617d33196c8dd268f2f 2822 libboost-system-dev_1.48.0.3_amd64.deb
 086c4e26aa7311b3bc3da4f8365929db300dde2ff45ef2a75cdab79c46a1fb91 2720 libboost-test-dev_1.48.0.3_amd64.deb
 a7557afe9e1f37eb44fe22f6f551334a04c9dcc43ff50088907ebfb2da39d564 2708 libboost-thread-dev_1.48.0.3_amd64.deb
 fcee7255e5a52399fbdfc9a44665c9929fd888967da57d91096195f937f9e3dd 2808 libboost-timer-dev_1.48.0.3_amd64.deb
 197150f7975116b7de25d054807535203ab90eb33ffc94c2c8a7918aacae0b4f 2716 libboost-wave-dev_1.48.0.3_amd64.deb
Files: 
 dd163d55c41b97c14192e7aca7ffb9e0 2635 libs optional boost-defaults_1.48.0.3.dsc
 b8f01fef07bdef542b7bbd4e8ea63f9b 7283 libs optional boost-defaults_1.48.0.3.tar.gz
 3b1bb55bc5b8bd145dc5d3c2f7fc0c3f 2658 debug extra libboost-dbg_1.48.0.3_amd64.deb
 3116618a43568623ced698f3a8b89dca 2998 libdevel optional libboost-dev_1.48.0.3_amd64.deb
 8d40a14f2bb822850e5835298cb12ef6 2980 libdevel optional libboost-all-dev_1.48.0.3_amd64.deb
 55515881e238383ea98cb5b04e96d88e 2876 doc optional libboost-doc_1.48.0.3_all.deb
 3527e677abd10ee3fd2af9acddb9ab10 3316 libdevel optional libboost-chrono-dev_1.48.0.3_amd64.deb
 cabe66f50f720dd69828502ab13e210a 2694 libdevel optional libboost-date-time-dev_1.48.0.3_amd64.deb
 1f6f55eee78d1600bb2baf92f8af7cd4 2718 libdevel optional libboost-filesystem-dev_1.48.0.3_amd64.deb
 4d3b66903c366e5d1c1360e6d02bddcb 2784 libdevel optional libboost-graph-dev_1.48.0.3_amd64.deb
 ef78f24f5c50477d565007c4e26985c9 2832 libdevel optional libboost-graph-parallel-dev_1.48.0.3_amd64.deb
 4e1f09144731d3a1d2bb08f01cdc0306 2678 libdevel optional libboost-iostreams-dev_1.48.0.3_amd64.deb
 41956730eb56a6b1eef7d1449d01e994 3020 libdevel optional libboost-locale-dev_1.48.0.3_amd64.deb
 843603c2828b124a48434725cc79a5a2 2888 libdevel optional libboost-math-dev_1.48.0.3_amd64.deb
 e997e6a618acf26ce6cbe050f93e41ab 2782 libdevel optional libboost-mpi-dev_1.48.0.3_amd64.deb
 b3624992116c6d69a9ffe96e62561628 2818 libdevel optional libboost-mpi-python-dev_1.48.0.3_amd64.deb
 d261099d2711c5106f3c08ffa2e813e7 2700 libdevel optional libboost-program-options-dev_1.48.0.3_amd64.deb
 7898dbf21780ae0a2ff9d7abc6794a74 3080 libdevel optional libboost-python-dev_1.48.0.3_amd64.deb
 5e73d1e2ab2b8b6d06aa46d57419fcc6 2692 libdevel optional libboost-random-dev_1.48.0.3_amd64.deb
 c9aed556547ba795bdc81136331d79a8 2944 libdevel optional libboost-regex-dev_1.48.0.3_amd64.deb
 970e13cbca66ab6c00f96c75a7d1585a 2916 libdevel optional libboost-serialization-dev_1.48.0.3_amd64.deb
 8d1022cb34bfb53ef933155b2a9c982b 2750 libdevel optional libboost-signals-dev_1.48.0.3_amd64.deb
 2670191fd475399599eb30424d5c2c57 2822 libdevel optional libboost-system-dev_1.48.0.3_amd64.deb
 f1ab2944002d940ed77211563c957b56 2720 libdevel optional libboost-test-dev_1.48.0.3_amd64.deb
 344161d284aba116d401bac5ed6a50ea 2708 libdevel optional libboost-thread-dev_1.48.0.3_amd64.deb
 e387738486f87aeb82e12c2c659d8a30 2808 libdevel optional libboost-timer-dev_1.48.0.3_amd64.deb
 4c3a19e003764ea71eb134dd74ec8fc5 2716 libdevel optional libboost-wave-dev_1.48.0.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFPKN2U0i2bPSHbMcURAnxvAJ9W4nb1ZSSDuFS0k5VC5XR9in9EKQCgncOj
OsA0PHJyC1M2G3dBI8Alv0g=
=0e82
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Mar 2012 07:35:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:39:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.